import {
    Player,
    world,
    system
} from "@minecraft/server";

world.afterEvents.itemUse.subscribe((data) => {

 const player = data.source;
 const item = data.itemStack;
 const itemCD = item.getComponent("minecraft:cooldown");
 const cooldown = itemCD?.getCooldownTicksRemaining(player);

 if (cooldown >= 0.1) {
    return;
}

 switch (item.typeId) {
 case 
 'sbgoji:usm_attack1':
      player.runCommand( "summon goji:usm_slam_up ~~~");
      player.runCommand( 
        "playanimation @e[type=sbgoji:upgrade_titan_speaker_man3_morph,c=1] animation.gojititan.attack2");
      itemCD.startCooldown(player);
      break;
      
 case 
 'sbgoji:usm_attack2':
      player.runCommand( "summon goji:usm_slam_up ~~~");
      player.runCommand( 
        "playanimation @e[type=sbgoji:upgrade_titan_speaker_man3_morph,c=1] animation.gojititan.attack1");
      itemCD.startCooldown(player);
      break;
      
 case 
 'sbgoji:ucm_attack1':
      player.runCommand( "summon goji:ucm_slam_up ~~~");
      player.runCommand( 
        "playanimation @e[type=sbgoji:upgrade_titan_camera_man3_morph,c=1] animation.gojititan.attack2");
      itemCD.startCooldown(player);
      break;
      
 case 
 'sbgoji:ucm_attack2':
      player.runCommand( "summon goji:ucm_slam_up ~~~");
      player.runCommand( 
        "playanimation @e[type=sbgoji:upgrade_titan_camera_man3_morph,c=1] animation.controlling_gojititan.hammer_attack2");
      itemCD.startCooldown(player);
      break;
      
 case 
 'sbgoji:ucm_attack3':
      player.runCommand( "summon goji:ucm_slam_up ~~~");
      player.runCommand( 
        "playanimation @e[type=sbgoji:upgrade_titan_camera_man3_morph,c=1] animation.controlling_gojititan.hammer_attack");
      itemCD.startCooldown(player);
      break;
      
 case 
 'sbgoji:ucm_fly':
      player.runCommand( "event entity @e[type=sbgoji:upgrade_titan_camera_man3_morph,c=1] goji:reroll_fly");
      itemCD.startCooldown(player);
      break;
      
 case 
 'sbgoji:ucm_stop_fly':
      player.runCommand( "event entity @e[type=sbgoji:upgrade_titan_camera_man3_morph,c=1] goji:reroll");
      itemCD.startCooldown(player);
      break;
      
 case 
 'sbgoji:usm_fly':
      player.runCommand( "event entity @e[type=sbgoji:upgrade_titan_speaker_man3_morph,c=1] goji:reroll_fly");
      itemCD.startCooldown(player);
      break;
      
 case 
 'sbgoji:usm_stop_fly':
      player.runCommand( "event entity @e[type=sbgoji:upgrade_titan_speaker_man3_morph,c=1] goji:reroll");
      itemCD.startCooldown(player);
      break;
      
 case 
 'sbgoji:core_attack':
      player.runCommand( "event entity @e[type=sbgoji:upgrade_titan_camera_man3_morph,c=1] minecraft:flame_roar");
      itemCD.startCooldown(player);
      break;
      
 case 
 'sbgoji:speaker_roar':
      player.runCommand( "event entity @e[type=sbgoji:upgrade_titan_speaker_man3_morph,c=1] minecraft:speaker_roar");
      itemCD.startCooldown(player);
      break;
      
 case 
 'sbgoji:ucm_shield':
      player.runCommand( "effect @e[type=sbgoji:upgrade_titan_camera_man3_morph,r=100] resistance 10 255");
      player.runCommand( 
        "playanimation @e[type=sbgoji:upgrade_titan_camera_man3_morph,c=1] animation.gojititan.ucm_blocking");
      itemCD.startCooldown(player);
      break;
      
 case 
 'sbgoji:utm_shield':
      player.runCommand( "effect @e[type=sbgoji:upgrade_titan_tv_man3_morph,r=100] resistance 10 255");
      player.runCommand( 
        "playanimation @e[type=sbgoji:upgrade_titan_tv_man3_morph,c=1] animation.gojititan.utm_blocking");
      itemCD.startCooldown(player);
      break;
      
 case 
 'sbgoji:utm_attack1':
      player.runCommand( "summon goji:utm_slam_up ~~~");
      player.runCommand( "event entity @e[type=sbgoji:upgrade_titan_tv_man3_morph,c=1] minecraft:melee_mode");
      player.runCommand( 
        "playanimation @e[type=sbgoji:upgrade_titan_tv_man3_morph,c=1] animation.gojititan.attack2");
      itemCD.startCooldown(player);
      break;
      
 case 
 'sbgoji:utm_attack2':
      player.runCommand( "summon goji:utm_slam_up ~~~");
      player.runCommand( "event entity @e[type=sbgoji:upgrade_titan_tv_man3_morph,c=1] minecraft:melee_mode");
      player.runCommand( 
        "playanimation @e[type=sbgoji:upgrade_titan_tv_man3_morph,c=1] animation.gojititan.sword_attack");
      itemCD.startCooldown(player);
      break;
      
 case 
 'sbgoji:utm_attack3':
      player.runCommand( "summon goji:utm_slam_up ~~~");
      player.runCommand( "event entity @e[type=sbgoji:upgrade_titan_tv_man3_morph,c=1] minecraft:melee_mode");
      player.runCommand( 
        "playanimation @e[type=sbgoji:upgrade_titan_tv_man3_morph,c=1] animation.gojititan.sword_attack2");
      itemCD.startCooldown(player);
      break;
      
 case 
 'sbgoji:utm_attack4':
      player.runCommand( "summon goji:utm_slam_up ~~~");
      player.runCommand( "event entity @e[type=sbgoji:upgrade_titan_tv_man3_morph,c=1] minecraft:melee_mode");
      player.runCommand( 
        "playanimation @e[type=sbgoji:upgrade_titan_tv_man3_morph,c=1] animation.gojititan.back_claw_attack");
      itemCD.startCooldown(player);
      break;
      
 case 
 'sbgoji:tv_attack':
      player.runCommand( "event entity @e[family=tv,c=1] minecraft:tv_static");
      itemCD.startCooldown(player);
      break;
      
      
    }
});